package com.example.nto.service;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.dto.EnterDTO;
import com.example.nto.entity.Employee;
import com.example.nto.entity.EnterType;

import java.time.LocalDateTime;
import java.util.List;

public interface EmployeeService {
    EmployeeDTO getEmployeeByUsername(String username);
    EmployeeDTO getInfo(String username);
    EnterDTO addEnter(String username, EnterDTO enterDTO);
    List<EnterDTO> getAllEmployeeEnters();
}
