package com.example.nto.util;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.entity.Employee;
import lombok.experimental.UtilityClass;

@UtilityClass
public class EmployeeMapper {
    public EmployeeDTO convertToDTO(Employee employee){
        EmployeeDTO employeeDTO = new EmployeeDTO();
        employeeDTO.setId(employee.getId());
        employeeDTO.setUsername(employee.getUsername());
        employeeDTO.setName(employee.getName());
        employeeDTO.setPosition(employee.getPosition());
        employeeDTO.setPhotoUrl(employee.getPhotoUrl());
        employeeDTO.setLastVisit(employee.getLastVisit());

        return employeeDTO;
    }
}
